this.name					= "laserBooster_activate.js";
this.author					= "Thargoid";
this.copyright				= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description			= "Script for manual activation of the laser booster";
this.version				= "1.02";

this.activated = function()
	{
	if(player.ship.equipmentStatus("EQ_LASERBOOSTER") !== "EQUIPMENT_OK")
		{ 
		missionVariables.laserBooster = "INACTIVE"; 
		return;
		}
	
	if(missionVariables.laserBooster && missionVariables.laserBooster === "ACTIVE")
		{ 
		missionVariables.laserBooster = "INACTIVE"; 
		player.consoleMessage("Laser Booster deactivated.");
		}
	else
		{
		if(worldScripts["laserBooster_worldScript.js"])
			{
			missionVariables.laserBooster = "ACTIVE"; 
			player.consoleMessage("Laser Booster activated.");
			} 
		else
			{
			player.consoleMessage("Laser Booster script error.");
			log(this.name, "Laser Booster script activation failed.");
			} 
		}
	}
